API Reference
Outbox
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/platform/outbox JWT API KeyGet outbox
Query parameters
| Status string | — |
| AggregateType string | — |
| EventType string | — |
| AggregateId string (uuid) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/platform/outbox" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/platform/outbox/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/platform/outbox/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/platform/outbox/{id}/replay JWT API KeyCreate replay
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/platform/outbox/{id}/replay" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu